%define         majorminor              0.10

Name:           gstreamer
Version:        %{majorminor}.36
Release:        19
Summary:        Open source multimedia framework
License:        LGPLv2+
URL:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gstreamer/gstreamer-%{version}.tar.xz
Source1:        gstreamer.prov
Source2:        gstreamer.attr

Patch0000:      gstreamer-0.10.36-bison3.patch
Patch0001:      gstreamer-inspect-rpm-format.patch
Patch0002:      fix-docs.patch

Requires:       which pkgconfig
BuildRequires:  glib2-devel >= 2.22 libxml2-devel >= 2.4.0 gtk-doc >= 1.3
BuildRequires:  bison flex m4 check-devel gettext pkgconfig libtool chrpath gcc-c++
BuildRequires:  gobject-introspection-devel >= 0.6.3
BuildRequires:  python2 openjade jadetex libxslt transfig netpbm-progs tetex-dvips
BuildRequires:  docbook-style-dsssl docbook-style-xsl docbook-utils ghostscript
Provides:       gstreamer-tools = %{version}-%{release}
Obsoletes:      gstreamer-tools < %{version}-%{release}

%description
GStreamer is a pipeline-based multimedia framework that links together a wide variety
of media processing systems to complete complex workflows, based on graphs of filters
which operate on media data. GStreamer supports a wide variety of media-handling
components, such as real-time sound processing and videos playback, and about anything
else media-related. The formats and processes can be changed in plugins since its
plugin-based architecture. It also contains wrapper scripts for the command-line tools
that work with different major/minor versions of GStreamer.

%package        devel
Summary:        Libraries/include files for GStreamer streaming media framework
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel >= 2.22
Requires:       libxml2-devel >= 2.4.0
Requires:       check-devel

%description    devel
This package contains the libraries and files necessary to develop applications
and plugins for GStreamer. If you plan to develop applications with GStreamer,
consider installing the gstreamer-help package and the documentation packages
for any plugins you intend to use.

%package        help
Summary:        Developer documentation and manual for GStreamer streaming media framework
Requires:       %{name} = %{version}-%{release}
Requires:       gtk-doc
BuildArch:      noarch
Provides:       gstreamer-devel-docs = %{version}-%{release}
Obsoletes:      gstreamer-devel-docs < %{version}-%{release}

%description    help
This package contains developer documentation for the GStreamer streaming
media framework and manual for GStreamer.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
  --with-package-name='openEuler GStreamer package' \
  --with-package-origin='https://openeuler.org/en/building/download.html' \
  --enable-debug --disable-tests --disable-examples

%make_build ERROR_CFLAGS="" LIBTOOL="%{_bindir}/libtool"

%install
%make_install
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libgstbase-%{majorminor}.so.*
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/libgstcoreelements.so
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/libgstcoreindexers.so

%find_lang gstreamer-%{majorminor}
install -d $RPM_BUILD_ROOT%{_localstatedir}/cache/gstreamer-%{majorminor}
install -m0755 -D %{SOURCE1} $RPM_BUILD_ROOT%{_rpmconfigdir}/gstreamer.prov
install -m0644 -D %{SOURCE2} $RPM_BUILD_ROOT%{_rpmconfigdir}/fileattrs/gstreamer.attr
%delete_la_and_a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gstreamer-%{majorminor}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING
%{_libdir}/libgst{reamer-%{majorminor}.so.*,base-%{majorminor}.so.*,controller-%{majorminor}.so.*}
%{_libdir}/libgst{dataprotocol-%{majorminor}.so.*,net-%{majorminor}.so.*}
%{_libdir}/gstreamer-%{majorminor}/libgstcore*.so
%{_libdir}/girepository-1.0/*.typelib
%{_libexecdir}/gstreamer-%{majorminor}/
%{_bindir}/gst*

%files        devel
%defattr(-, root, root, -)
%{_includedir}/gstreamer-%{majorminor}/gst/*
%{_libdir}/*.so
%{_libdir}/libgstcheck-%{majorminor}.so*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/aclocal/gst-element-check-%{majorminor}.m4
%{_rpmconfigdir}/gstreamer.prov
%{_rpmconfigdir}/fileattrs/gstreamer.attr

%files        help
%defattr(-, root, root, -)
%doc NEWS README RELEASE
%doc %{_datadir}/gtk-doc/html/gstreamer-%{majorminor}
%doc %{_datadir}/gtk-doc/html/gstreamer-libs-%{majorminor}
%doc %{_datadir}/gtk-doc/html/gstreamer-plugins-%{majorminor}
%doc %{_mandir}/man1/gst*.gz

%changelog
* Fri Oct 18 2019 Alex Chao <zhaolei746@huawei.com> - 0.10.36-19
- Package init

